// ==================================================
//	CDateEditField.h
//	Copyright (C) 1996 Mizutori Tetsuya, July 4 1996.
// ==================================================
//	All documents are pretty-printed in Geneva 10-point font.

#pragma once

#include <LEditField.h>

#include <LBroadcaster.h>
#include <LListener.h>


class CDateEditField : public LEditField, public LListener, public LBroadcaster {

public:
	enum { class_ID = 'DedF' };

	static CDateEditField *	CreateDateEditFieldStream( LStream *inStream );
					CDateEditField();
					CDateEditField( const CDateEditField	&inOriginal);
					CDateEditField(
							const SPaneInfo		&inPaneInfo,
							Str255			inString,
							ResIDT			inTextTraitsID,
							Int16			inMaxChars,
							Boolean			inHasBox,
							Boolean			inHasWordWrap,
							KeyFilterFunc		inKeyFilter,
							LCommander		*inSuper);
					CDateEditField(
							const SPaneInfo		&inPaneInfo,
							Str255			inString,
							ResIDT			inTextTraitsID,
							Int16			inMaxChars,
							Uint8			inAttributes,
							KeyFilterFunc		inKeyFilter,
							LCommander		*inSuper);
					CDateEditField( LStream			*inStream);
	virtual			~CDateEditField();

	virtual void		ListenToMessage( MessageT inMessage, void *ioParam );
	virtual void		UserChangedText( void );
	virtual void		ClickSelf( const SMouseDownEvent & inMouseDown );
	virtual void		BeTarget( void );
	virtual void		DontBeTarget( void );

	Boolean			GetTEActive( void );
	void				SetTEActive( const Boolean inStatus );
	void				GetSelect( long & outSelStart, long & outSelEnd );
	void				SetSelect( const long inSelStart, const long inSelEnd );
	void				GetText( Str255 outString );
	void				SetText( const Str255 inString);
	void				SetTextAndRefresh( const Str255 inString);
	void				SetDateTime( const unsigned long inDateTimeSeconds );
	void				RefreshEditField( void );

private:

	Boolean			mHasChanged;		// Text has been changed by user's action
};

// end of definitions

