// ==================================================
//	CRadioButton.cp
//	Copyright (C) 1996 Mizutori Tetsuya, July 4 1996.
// ==================================================
//	All documents are pretty-printed in Geneva 10-point font.

#include <UDrawingState.h>

#include "touchMeConstants.h"
#include "CRadioButton.h"


// --------------------------------------------------
//		 CreateRadioButtonStream [static]
// --------------------------------------------------

CRadioButton *
CRadioButton::CreateRadioButtonStream(
	LStream	*inStream )
{
	return new CRadioButton( inStream );
}


// --------------------------------------------------
//		 CRadioButton
// --------------------------------------------------

CRadioButton::CRadioButton()
{
}


// --------------------------------------------------
//		 CRadioButton(SPaneInfo&, MessageT, Int32, ResIDT, Str255)
// --------------------------------------------------

CRadioButton::CRadioButton(
	const SPaneInfo	&inPaneInfo,
	MessageT		inValueMessage,
	Int32			inValue,
	ResIDT			inTextTraitsID,
	Str255			inTitle )
		: LStdRadioButton( inPaneInfo, inValueMessage,
			inValue, inTextTraitsID, inTitle )
{
}


// --------------------------------------------------
//		 CRadioButton(const CRadioButton&)
// --------------------------------------------------

CRadioButton::CRadioButton(
	const CRadioButton	&inOriginal )
		: LStdRadioButton( inOriginal )
{
}


// --------------------------------------------------
//		 CRadioButton(LStream*)
// --------------------------------------------------

CRadioButton::CRadioButton(
	LStream	*inStream )
		: LStdRadioButton( inStream )
{
}


// --------------------------------------------------
//		 ~CRadioButton
// --------------------------------------------------

CRadioButton::~CRadioButton()
{
}

// --------------------------------------------------
//		 ListenToMessage
// --------------------------------------------------

void
CRadioButton::ListenToMessage(
	MessageT	inMessage,
	void		*ioParam )
{
#pragma unused( ioParam )

	switch ( inMessage ) {

		case msg_TmeD_CrCheckbox:
		case msg_TmeD_MdCheckbox:
			if ( IsEnabled() ) {
				Disable();
			} else {
				Enable();
			}
			break;

	}
}

// end of program
