 //	File:		Errors.h
 //	Contains:	OSErr codes.
 //	Version:	Technology:	PowerSurge 1.0.2.
 //	Package:	Universal Interfaces 2.1.2 on ETO #20

 //	All documents are pretty-printed in Geneva 10-point font.


//enum {
#define  paramErr			-50		// error in user parameter list
#define  noHardwareErr 		-200	// Sound Manager Error Returns
#define  notEnoughHardwareErr	-201	// Sound Manager Error Returns
#define  userCanceledErr 		-128
#define  qErr		 		-1	// queue element not found during deletion
#define  vTypErr		 	-2	// invalid queue element
#define  corErr		 		-3	// core routine number out of range
#define  unimpErr	 		-4	// unimplemented core routine
#define  SlpTypeErr	 		-5	// invalid queue element
#define  seNoDB				-8	// no debugger installed to handle debugger command
#define  controlErr	 		-17	// I/O System Errors
#define  statusErr	 		-18	// I/O System Errors
#define  readErr		 		-19	// I/O System Errors
#define  writErr		 	-20	// I/O System Errors
#define  badUnitErr	 		-21	// I/O System Errors
#define  unitEmptyErr 		-22	// I/O System Errors
#define  openErr		 	-23	// I/O System Errors
#define  closErr		 		-24	// I/O System Errors
#define  dRemovErr	 		-25	// tried to remove an open driver
#define  dInstErr			-26	// DrvrInstall couldn't find driver in resources
//};

//enum {
#define  abortErr	 		-27	// IO call aborted by KillIO
#define  iIOAbortErr	 		-27	// IO abort error (Printing Manager)
#define  notOpenErr	 		-28	// Couldn't rd/wr/ctl/sts cause driver not opened
#define  unitTblFullErr 		-29	// unit table has no more entries
#define  dceExtErr	 		-30	// dce extension error
#define  slotNumErr	 		-360	// invalid slot # error
#define  gcrOnMFMErr	 	-400	// gcr format on high density media error
#define  dirFulErr			-33	// Directory full
#define  dskFulErr			-34	// disk full
#define  nsvErr		 		-35	// no such volume
#define  ioErr		 		-36	// I/O error (bummers)
#define  bdNamErr	 		-37	// there may be no bad names in the final system!
#define  fnOpnErr			-38	// File not open
#define  eofErr		 		-39	// End of file
#define  posErr		 		-40	// tried to position to before start of file (r/w)
#define  mFulErr			-41	// memory full (open) or file won't fit (load)
#define  tmfoErr			-42	// too many files open
#define  fnfErr				-43	// File not found
#define  wPrErr				-44	// diskette is write protected.
#define  fLckdErr			-45	// file is locked
//};

//enum {
#define  vLckdErr			-46	// volume is locked
#define  fBsyErr			-47	// File is busy (delete)
#define  dupFNErr			-48	// duplicate filename (rename)
#define  opWrErr			-49	// file already open with with write permission
#define  rfNumErr			-51	// refnum error
#define  gfpErr				-52	// get file position error
#define  volOffLinErr			-53	// volume not on line error (was Ejected)
#define  permErr			-54	// permissions error (on file open)
#define  volOnLinErr			-55	// drive volume already on-line at MountVol
#define  nsDrvErr			-56	// no such drive (tried to mount a bad drive num)
#define  noMacDskErr			-57	// not a mac diskette (sig bytes are wrong)
#define  extFSErr			-58	// volume in question belongs to an external fs
#define  fsRnErr			-59	// file system internal error:during rename the old entry was deleted but could not be restored.
#define  badMDBErr			-60	// bad master directory block
#define  wrPermErr			-61	// write permissions error
#define  dirNFErr			-120	// Directory not found
#define  tmwdoErr			-121	// No free WDCB available
#define  badMovErr			-122	// Move into offspring error
#define  wrgVolTypErr		-123	// Wrong volume type error [operation not supported for MFS]
#define  volGoneErr			-124	// Server volume has been disconnected.
//};

//enum {
#define  fidNotFound			-1300	// no file thread exists.
#define  fidExists			-1301	// file id already exists
#define  notAFileErr			-1302	// directory specified
#define  diffVolErr			-1303	// files on different volumes
#define  catChangedErr		-1304	// the catalog has been modified
#define  desktopDamagedErr		-1305	// desktop database files are corrupted
#define  sameFileErr			-1306	// can't exchange a file with itself
#define  badFidErr			-1307	// file id is dangling or doesn't match with the file number
#define  notARemountErr		-1308	// when _Mount allows only remounts and doesn't get one
#define  fileBoundsErr		-1309	// file's EOF, offset, mark or size is too big
#define  fsDataTooBigErr		-1310	// file or volume is too big for system
#define  envNotPresent		-5500	// returned by glue.
#define  envBadVers			-5501	// Version non-positive
#define  envVersTooBig		-5502	// Version bigger than call can handle
#define  fontDecError			-64		// error during font declaration
#define  fontNotDeclared		-65		// font not declared
#define  fontSubErr			-66		// font substitution occured
#define  fontNotOutlineErr		-32615	// bitmap font passed to routine that does outlines only
#define  firstDskErr			-84		// I/O System Errors
#define  lastDskErr			-64		// I/O System Errors
#define  noDriveErr			-64		// drive not installed
#define  offLinErr			-65		// r/w requested for an off-line drive
#define  noNybErr			-66		// couldn't find 5 nybbles in 200 tries
//};

//enum {
#define  noAdrMkErr			-67	// couldn't find valid addr mark
#define  dataVerErr			-68	// read verify compare failed
#define  badCksmErr			-69	// addr mark checksum didn't check
#define  badBtSlpErr			-70	// bad addr mark bit slip nibbles
#define  noDtaMkErr			-71	// couldn't find a data mark header
#define  badDCksum			-72	// bad data mark checksum
#define  badDBtSlp			-73	// bad data mark bit slip nibbles
#define  wrUnderrun			-74	// write underrun occurred
#define  cantStepErr			-75	// step handshake failed
#define  tk0BadErr			-76	// track 0 detect doesn't change
#define  initIWMErr			-77	// unable to initialize IWM
#define  twoSideErr			-78	// tried to read 2nd side on a 1-sided drive
#define  spdAdjErr			-79	// unable to correctly adjust disk speed
#define  seekErr				-80	// track number wrong on address mark
#define  sectNFErr			-81	// sector number never found on a track
#define  fmt1Err			-82	// can't find sector 0 after track format
#define  fmt2Err			-83	// can't get enough sync
#define  verErr				-84	// track failed to verify
#define  clkRdErr			-85	// unable to read same clock value twice
#define  clkWrErr			-86	// time written did not verify
//};

//enum {
#define  prWrErr			-87	// parameter ram written didn't read-verify
#define  prInitErr			-88	// InitUtil found the parameter ram uninitialized
#define  rcvrErr			-89	// SCC receiver error (framing; parity; OR)
#define  breakRecd			-90	// Break received (SCC)
/*Power Manager Errors*/
#define  pmBusyErr			-13000	// Power Mgr never ready to start handshake
#define  pmReplyTOErr		-13001	// Timed out waiting for reply
#define  pmSendStartErr		-13002	// during send, pmgr did not start hs
#define  pmSendEndErr		-13003	// during send, pmgr did not finish hs
#define  pmRecvStartErr		-13004	// during receive, pmgr did not start hs
#define  pmRecvEndErr		-13005	// during receive, pmgr did not finish hs configured for this connection
/* Printing Errors */
#define  iMemFullErr			-108
#define  iIOAbort			-27		// Scrap Manager errors
#define  noScrapErr			-100	// No scrap exists error
#define  noTypeErr			-102	// No object of that type in scrap
#define  memROZWarn		-99		// soft error in ROZ
#define  memROZError		-99		// hard error in ROZ
#define  memROZErr			-99		// hard error in ROZ
#define  memFullErr			-108	// Not enough room in heap zone
#define  nilHandleErr			-109	// Master Pointer was NIL in HandleZone or other
#define  memWZErr			-111	// WhichZone failed (applied to free block)
#define  memPurErr			-112	// trying to purge a locked or non-purgeable block
#define  memAdrErr			-110	// address was odd; or out of range
//};

//enum {
#define  memAZErr			-113	// Address in zone check failed
#define  memPCErr			-114	// Pointer Check failed
#define  memBCErr			-115	// Block Check failed
#define  memSCErr			-116	// Size Check failed
#define  memLockedErr		-117	// trying to move a locked block (MoveHHi)
#define  resourceInMemory		-188	// Resource already in memory
#define  writingPastEnd		-189	// Writing past end of file
#define  inputOutOfBounds		-190	// Offset of Count out of bounds
#define  resNotFound			-192	// Resource not found
#define  resFNotFound			-193	// Resource file not found
#define  addResFailed			-194	// AddResource failed
#define  addRefFailed			-195	// AddReference failed
#define  rmvResFailed			-196	// RmveResource failed
#define  rmvRefFailed			-197	// RmveReference failed
#define  resAttrErr			-198	// attribute inconsistent with operation
#define  mapReadErr			-199	// map inconsistent with operation
#define  CantDecompress		-186	// resource bent ("the bends")- can't decompress a compressed resource
#define  badExtResource		-185	// extended resource has a bad format.
#define  evtNotEnb	 			1	// event not enabled at PostEvent
#define  noMemForPictPlaybackErr	-145
#define  rgnOverflowErr		-147
#define  rgnTooBigError		-147
#define  pixMapTooDeepErr		-148
#define  insufficientStackErr	-149
#define  nsStackErr			-149
//};

/* OffScreen QuickDraw Errors */
//enum {
#define  cMatchErr			-150	// Color2Index failed to find an index
#define  cTempMemErr		-151	// failed to allocate memory for temporary structures
#define  cNoMemErr			-152	// failed to allocate memory for structure
#define  cRangeErr			-153	// range error on colorTable request
#define  cProtectErr			-154	// colorTable entry protection violation
#define  cDevErr			-155	// invalid type of graphics device
#define  cResErr			-156	// invalid resolution for MakeITable
#define  cDepthErr			-157	// invalid pixel depth 
#define  rgnTooBigErr			-500
#define  updPixMemErr		-125	// insufficient memory to update a pixmap
#define  pictInfoVersionErr		-11000	// wrong version of the PictInfo structure
#define  pictInfoIDErr			-11001	// the internal consistancy check for the PictInfoID is wrong
#define  pictInfoVerbErr		-11002	// the passed verb was invalid
#define  cantLoadPickMethodErr	-11003	// unable to load the custom pick proc
#define  colorsRequestedErr		-11004	// the number of colors requested was illegal
#define  pictureDataErr		-11005	// the picture data was invalid
/*Sound Manager errors*/
#define  noHardware	 		noHardwareErr	// obsolete spelling
#define  notEnoughHardware	notEnoughHardwareErr	// obsolete spelling
#define  queueFull			-203	// Sound Manager Error Returns
#define  resProblem			-204	// Sound Manager Error Returns
#define  badChannel			-205	// Sound Manager Error Returns
//};

//enum {
#define  badFormat			-206	// Sound Manager Error Returns
#define  notEnoughBufferSpace	-207	// could not allocate enough memory
#define  badFileFormat		-208	// was not type AIFF or was of bad format,corrupt
#define  channelBusy			-209	// the Channel is being used for a PFD already
#define  buffersTooSmall		-210	// can not operate in the memory allowed
#define  channelNotBusy		-211
#define  noMoreRealTime		-212	// not enough CPU cycles left to add another task
#define  siNoSoundInHardware	-220	// no Sound Input hardware
#define  siBadSoundInDevice	-221	// invalid index passed to SoundInGetIndexedDevice
#define  siNoBufferSpecified	-222	// returned by synchronous SPBRecord if nil buffer passed
#define  siInvalidCompression	-223	// invalid compression type
#define  siHardDriveTooSlow	-224	// hard drive too slow to record to disk
#define  siInvalidSampleRate	-225	// invalid sample rate
#define  siInvalidSampleSize	-226	// invalid sample size
#define  siDeviceBusyErr		-227	// input device already in use
#define  siBadDeviceName		-228	// input device could not be opened
#define  siBadRefNum			-229	// invalid input device reference number
#define  siInputDeviceErr		-230	// input device hardware failure
#define  siUnknownInfoType		-231	// invalid info type selector (returned by driver)
#define  siUnknownQuality		-232	// invalid quality selector (returned by driver)
//};

/*Speech Manager errors*/
//enum {
#define  noSynthFound			-240
#define  synthOpenFailed		-241
#define  synthNotReady		-242
#define  bufTooSmall			-243
#define  voiceNotFound		-244
#define  incompatibleVoice		-245
#define  badDictFormat		-246
#define  badInputText			-247
//};

/* Midi Manager Errors: */
//enum {
#define  midiNoClientErr		-250	// no client with that ID found
#define  midiNoPortErr		-251	// no port with that ID found
#define  midiTooManyPortsErr	-252	// too many ports already installed in the system
#define  midiTooManyConsErr	-253	// too many connections made
#define  midiVConnectErr		-254	// pending virtual connection created
#define  midiVConnectMade		-255	// pending virtual connection resolved
#define  midiVConnectRmvd		-256	// pending virtual connection removed
#define  midiNoConErr		-257	// no connection exists between specified ports
#define  midiWriteErr		-258	// MIDIWritePacket couldn't write to all connected ports
#define  midiNameLenErr		-259	// name supplied is longer than 31 characters
#define  midiDupIDErr		-260	// duplicate client ID
#define  midiInvalidCmdErr		-261	// command not supported for port type
//};

/*Notification Manager errors*/
//enum {
#define  nmTypErr			-299	// wrong queue type
#define  siInitSDTblErr		1	// slot int dispatch table could not be initialized.
#define  siInitVBLQsErr		2	// VBLqueues for all slots could not be initialized.
#define  siInitSPTblErr		3	// slot priority table could not be initialized.
#define  sdmJTInitErr			10	// SDM Jump Table could not be initialized.
#define  sdmInitErr			11	// SDM could not be initialized.
#define  sdmSRTInitErr		12	// Slot Resource Table could not be initialized.
#define  sdmPRAMInitErr		13	// Slot PRAM could not be initialized.
#define  sdmPriInitErr		14	// Cards could not be initialized.
#define  smSDMInitErr		-290	// Error; SDM could not be initialized.
#define  smSRTInitErr		-291	// Error; Slot Resource Table could not be initialized.
#define  smPRAMInitErr		-292	// Error; Slot Resource Table could not be initialized.
#define  smPriInitErr			-293	// Error; Cards could not be initialized.
#define  smEmptySlot			-300	// No card in slot
#define  smCRCFail			-301	// CRC check failed for declaration data
#define  smFormatErr			-302	// FHeader Format is not Apple's
#define  smRevisionErr		-303	// Wrong revison level
#define  smNoDir			-304	// Directory offset is Nil
#define  smDisabledSlot		-305	// This slot is disabled (-305 use to be smLWTstBad)
#define  smNosInfoArray		-306	// No sInfoArray. Memory Mgr error.
//};

//enum {
/*Dictionary Manager errors*/
#define  notBTree			-410	// The file is not a dictionary.
#define  btNoSpace			-413	// Can't allocate disk space.
#define  btDupRecErr			-414	// Record already exists.
#define  btRecNotFnd			-415	// Record cannot be found.
#define  btKeyLenErr			-416	// Maximum key length is too long or equal to zero.
#define  btKeyAttrErr			-417	// There is no such a key attribute.
#define  unknownInsertModeErr	-20000	// There is no such an insert mode.
#define  recordDataTooBigErr	-20001	// The record data is bigger than buffer size (1024 bytes).
#define  invalidIndexErr		-20002	// The recordIndex parameter is not valid.
//};

//enum {
#define  smResrvErr			-307	// Fatal reserved error. Resreved field <> 0.
#define  smUnExBusErr		-308	// Unexpected BusError
#define  smBLFieldBad		-309	// ByteLanes field was bad.
#define  smFHBlockRdErr		-310	// Error occured during _sGetFHeader.
#define  smFHBlkDispErr		-311	// Error occured during _sDisposePtr (Dispose of FHeader block).
#define  smDisposePErr		-312	// _DisposePointer error
#define  smNoBoardSRsrc		-313	// No Board sResource.
#define  smGetPRErr			-314	// Error occured during _sGetPRAMRec (See SIMStatus).
#define  smNoBoardId			-315	// No Board Id.
#define  smInitStatVErr		-316	// The InitStatusV field was negative after primary or secondary init.
#define  smInitTblVErr		-317	// An error occured while trying to initialize the Slot Resource Table.
#define  smNoJmpTbl			-318	// SDM jump table could not be created.
#define  smReservedSlot		-318	// slot is reserved, VM should not use this address space.
#define  smBadBoardId		-319	// BoardId was wrong; re-init the PRAM record.
#define  smBusErrTO			-320	// BusError time out.

#define  svTempDisable		-32768	// Temporarily disable card but run primary init.
#define  svDisabled			-32640	// Reserve range-32640 to-32768 for Apple temp disables.
#define  smBadRefId			-330	// Reference Id not found in List
#define  smBadsList			-331	// Bad sList: Id1 < Id2 < Id3 ...format is not followed.
#define  smReservedErr		-332	// Reserved field not zero
#define  smCodeRevErr		-333	// Code revision is wrong
//};

//enum {
#define  smCPUErr			-334	// Code revision is wrong
#define  smsPointerNil		-335	// LPointer is nil From sOffsetData. If this error occurs; check sInfo rec for more information.
#define  smNilsBlockErr		-336	// Nil sBlock error (Dont allocate and try to use a nil sBlock)
#define  smSlotOOBErr		-337	// Slot out of bounds error
#define  smSelOOBErr			-338	// Selector out of bounds error
#define  smNewPErr			-339	// _NewPtr error
#define  smBlkMoveErr		-340	// _BlockMove error
#define  smCkStatusErr		-341	// Status of slot = fail.
#define  smGetDrvrNamErr		-342	// Error occured during _sGetDrvrName.
#define  smDisDrvrNamErr		-343	// Error occured during _sDisDrvrName.
#define  smNoMoresRsrcs		-344	// No more sResources
#define  smsGetDrvrErr		-345	// Error occurred during _sGetDriver.
#define  smBadsPtrErr		-346	// Bad pointer was passed to sCalcsPointer
#define  smByteLanesErr		-347	// NumByteLanes was determined to be zero.
#define  smOffsetErr			-348	// Offset was too big (temporary error
#define  smNoGoodOpens		-349	// No opens were successfull in the loop.
#define  smSRTOvrFlErr		-350	// SRT over flow.
#define  smRecNotFnd			-351	// Record not found in the SRT.
#define  editionMgrInitErr		-450	// edition manager not inited by this app
#define  badSectionErr		-451	// not a valid SectionRecord
//};

//enum {
#define  notRegisteredSectionErr	-452	// not a registered SectionRecord
#define  badEditionFileErr		-453	// edition file is corrupt
#define  badSubPartErr		-454	// can not use sub parts in this release
#define  multiplePublisherWrn	-460	// A Publisher is already registered for that container
#define  containerNotFoundWrn	-461	// could not find editionContainer at this time
#define  containerAlreadyOpenWrn	-462	// container already opened by this section
#define  notThePublisherWrn	-463	// not the first registered publisher for that container
#define  teScrapSizeErr		-501	// scrap item too big for text edit record
#define  hwParamErr			-502	// bad selector for _HWPriv
/*Process Manager errors*/
#define  procNotFound			-600	// no eligible process with specified descriptor
#define  memFragErr			-601	// not enough room to launch app w/special requirements
#define  appModeErr			-602	// memory mode is 32-bit, but app not 32-bit clean
#define  protocolErr			-603	// app made module calls in improper order
#define  hardwareConfigErr		-604	// hardware configuration not correct for call
#define  appMemFullErr		-605	// application SIZE not big enough for launch
#define  appIsDaemon			-606	// app is BG-only, and launch flags disallow this
#define  bufferIsSmall		-607	// error returns from Post and Accept 
#define  noOutstandingHLE		-608
#define  connectionInvalid		-609
#define  noUserInteractionAllowed	-610	// no user interaction allowed 
//};

/* Thread Manager Error Codes */
//enum {
#define  threadTooManyReqsErr	-617
#define  threadNotFoundErr		-618
#define  threadProtocolErr		-619
//};

/*MemoryDispatch errors*/
//enum {
#define  notEnoughMemoryErr	-620	// insufficient physical memory
#define  notHeldErr			-621	// specified range of memory is not held
#define  cannotMakeContiguousErr	-622	// cannot make specified range contiguous
#define  notLockedErr			-623	// specified range of memory is not locked
#define  interruptsMaskedErr	-624	// dont call with interrupts masked
#define  cannotDeferErr		-625	// unable to defer additional functions
#define  noMMUErr			-626	// no MMU present
//};

//enum {
#define  ddpSktErr			-91	// error in soket number
#define  ddpLenErr			-92	// data length too big
#define  noBridgeErr			-93	// no network bridge for non-local send
#define  lapProtErr			-94	// error in attaching/detaching protocol
#define  excessCollsns			-95	// excessive collisions on write
#define  portNotPwr			-96	// serial port not currently powered
#define  portInUse			-97	// driver Open error code (port is in use)
#define  portNotCf			-98	// driver Open error code (parameter RAM not configured for this connection)
//};

/*Help Mgr error range:-850 to-874*/
//enum {
#define  hmHelpDisabled		-850	//  Show Balloons mode was off, call to routine ignored 
#define  hmBalloonAborted		-853	//  Returned if mouse was moving or mouse wasn't in window port rect 
#define  hmSameAsLastBalloon	-854	//  Returned from HMShowMenuBalloon if menu & item is same as last time 
#define  hmHelpManagerNotInited	-855	//  Returned from HMGetHelpMenuHandle if help menu not setup 
#define  hmSkippedBalloon		-857	//  Returned from calls if helpmsg specified a skip balloon 
#define  hmWrongVersion		-858	//  Returned if help mgr resource was the wrong version 
#define  hmUnknownHelpType	-859	//  Returned if help msg record contained a bad type 
#define  hmOperationUnsupported		-861	//  Returned from HMShowBalloon call if bad method passed to routine 
#define  hmNoBalloonUp		-862	//  Returned from HMRemoveBalloon if no balloon was visible when call was made 
#define  hmCloseViewActive		-863	//  Returned from HMRemoveBalloon if CloseView was active 
//};

//enum {
#define  nbpBuffOvr			-1024	// Buffer overflow in LookupName
#define  nbpNoConfirm		-1025
#define  nbpConfDiff			-1026	// Name confirmed at different socket
#define  nbpDuplicate			-1027	// Duplicate name exists already
#define  nbpNotFound			-1028	// Name not found on remove
#define  nbpNISErr			-1029	// Error trying to open the NIS
#define  aspBadVersNum		-1066	// Server cannot support this ASP version
#define  aspBufTooSmall		-1067	// Buffer too small
#define  aspNoMoreSess		-1068	// No more sessions on server
#define  aspNoServers			-1069	// No servers at that address
#define  aspParamErr			-1070	// Parameter error
//};

//enum {
#define  aspServerBusy		-1071	// Server cannot open another session
#define  aspSessClosed			-1072	// Session closed
#define  aspSizeErr			-1073	// Command block too big
#define  aspTooMany			-1074	// Too many clients (server error)
#define  aspNoAck			-1075	// No ack on attention request (server err)
#define  reqFailed			-1096
#define  tooManyReqs			-1097
#define  tooManySkts			-1098
#define  badATPSkt			-1099
#define  badBuffNum			-1100
#define  noRelErr			-1101
#define  cbNotFound			-1102
#define  noSendResp			-1103
#define  noDataArea			-1104
#define  reqAborted			-1105
//};

/* ADSP Error Codes */
//enum {
/* driver control ioResults */
#define  errRefNum			-1280	//  bad connection refNum 
#define  errAborted			-1279	//  control call was aborted 
#define  errState			-1278	//  bad connection state for this operation 
#define  errOpening			-1277	//  open connection request failed 
#define  errAttention			-1276	//  attention message too long 
#define  errFwdReset			-1275	//  read terminated by forward reset 
#define  errDSPQueueSize		-1274	//  DSP Read/Write Queue Too small 
#define  errOpenDenied		-1273	//  open connection request was denied 
//};

/**** OSL ERROR CODES ****/
//enum {
#define  errAEImpossibleRange		-1720	//  A range like 3rd to 2nd, or 1st to all. 
#define  errAEWrongNumberArgs		-1721	//  Logical op kAENOT used with other than 1 term 
#define  errAEAccessorNotFound		-1723	//  Accessor proc matching wantClass and containerType or wildcards not found 
#define  errAENoSuchLogical		-1725	//  Something other than AND, OR, or NOT 
#define  errAEBadTestKey			-1726	//  Test is neither typeLogicalDescriptor nor typeCompDescriptor 
#define  errAENotAnObjSpec		-1727	//  Param to AEResolve not of type 'obj ' 
#define  errAENoSuchObject			-1728	//  e.g.,: specifier asked for the 3rd, but there are only 2. Basically, this indicates a run-time resolution error. 
#define  errAENegativeCount		-1729	//  CountProc returned negative value 
#define  errAEEmptyListContainer	-1730	//  Attempt to pass empty list as container to accessor 
//};

/*--------------------------------------------------------------
#define  	Apple event manager error messages
--------------------------------------------------------------*/
//enum {
#define  errAECoercionFail			-1700	//  bad parameter data or unable to coerce the data supplied 
#define  errAEDescNotFound			-1701
#define  errAECorruptData			-1702
#define  errAEWrongDataType		-1703
#define  errAENotAEDesc			-1704
#define  errAEBadListItem			-1705	//  the specified list item does not exist 
#define  errAENewerVersion		-1706	//  need newer version of the AppleEvent manager 
#define  errAENotAppleEvent		-1707	//  the event is not in AppleEvent format 
#define  errAEEventNotHandled		-1708	//  the AppleEvent was not handled by any handler 
#define  errAEReplyNotValid		-1709	//  AEResetTimer was passed an invalid reply parameter 
#define  errAEUnknownSendMode		-1710	//  mode wasn't NoReply, WaitReply, or QueueReply or Interaction level is unknown 
#define  errAEWaitCanceled			-1711	//  in AESend, the user cancelled out of wait loop for reply or receipt 
#define  errAETimeout			-1712	//  the AppleEvent timed out 
#define  errAENoUserInteraction		-1713	//  no user interaction is allowed 
#define  errAENotASpecialFunction	-1714	//  there is no special function for/with this keyword 
#define  errAEParamMissed			-1715	//  a required parameter was not accessed 
#define  errAEUnknownAddressType	-1716	//  the target address type is not known 
#define  errAEHandlerNotFound		-1717	//  no handler in the dispatch tables fits the parameters to AEGetEventHandler or AEGetCoercionHandler 
#define  errAEReplyNotArrived		-1718	//  the contents of the reply you are accessing have not arrived yet 
#define  errAEIllegalIndex			-1719	//  index is out of range in a put operation 
#define  errAEUnknownObjectType	-1731	//  available only in version 1.0.1 or greater 
#define  errAERecordingIsAlreadyOn	-1732	//  available only in version 1.0.1 or greater 
//};

/**************************************************************************
#define  API Errors
*************************************************************************/
//enum {
#define  errOSASystemError		-1750
#define  errOSAInvalidID			-1751
#define  errOSABadStorageType		-1752
#define  errOSAScriptError			-1753
#define  errOSABadSelector			-1754
#define  errOSASourceNotAvailable	-1756
#define  errOSANoSuchDialect		-1757
#define  errOSADataFormatObsolete	-1758
#define  errOSADataFormatTooNew	-1759
#define  errOSACorruptData			errAECorruptData
#define  errOSARecordingIsAlreadyOn	errAERecordingIsAlreadyOn
#define  errOSAComponentMismatch	-1761	//  Parameters are from 2 different components 
#define  errOSACantOpenComponent	-1762	//  Can't connect to scripting system with that ID 
//};

/*QuickTime errors*/
//enum {
#define  couldNotResolveDataRef		-2000
#define  badImageDescription		-2001
#define  badPublicMovieAtom		-2002
#define  cantFindHandler			-2003
#define  cantOpenHandler			-2004
#define  badComponentType			-2005
#define  noMediaHandler			-2006
#define  noDataHandler			-2007
#define  invalidMedia				-2008
#define  invalidTrack				-2009
#define  invalidMovie				-2010
#define  invalidSampleTable			-2011
#define  invalidDataRef			-2012
#define  invalidHandler			-2013
#define  invalidDuration			-2014
#define  invalidTime				-2015
#define  cantPutPublicMovieAtom		-2016
#define  badEditList				-2017
#define  mediaTypesDontMatch		-2018
#define  progressProcAborted		-2019
#define  movieToolboxUninitialized	-2020
#define  noRecordOfApp 			movieToolboxUninitialized	//  replica 
#define  wfFileNotFound			-2021
#define  cantCreateSingleForkFile		-2022	//  happens when file already exists 
#define  invalidEditState			-2023
#define  nonMatchingEditState		-2024
#define  staleEditState				-2025
#define  userDataItemNotFound		-2026
#define  maxSizeToGrowTooSmall		-2027
#define  badTrackIndex			-2028
#define  trackIDNotFound			-2029
#define  trackNotInMovie			-2030
#define  timeNotInTrack			-2031
#define  timeNotInMedia			-2032
#define  badEditIndex				-2033
#define  internalQuickTimeError		-2034
#define  cantEnableTrack			-2035
#define  invalidRect				-2036
#define  invalidSampleNum			-2037
#define  invalidChunkNum			-2038
#define  invalidSampleDescIndex		-2039
#define  invalidChunkCache			-2040
#define  invalidSampleDescription	-2041
#define  dataNotOpenForRead		-2042
#define  dataNotOpenForWrite		-2043
#define  dataAlreadyOpenForWrite	-2044
#define  dataAlreadyClosed			-2045
#define  endOfDataReached			-2046
#define  dataNoDataRef			-2047
#define  noMovieFound			-2048
#define  invalidDataRefContainer		-2049
#define  badDataRefIndex			-2050
#define  noDefaultDataRef			-2051
#define  couldNotUseAnExistingSample	-2052
#define  featureUnsupported		-2053
#define  noVideoTrackInMovieErr		-2054	//  QT for Windows error 
#define  noSoundTrackInMovieErr	-2055	//  QT for Windows error 
#define  soundSupportNotAvailableErr	-2056	//  QT for Windows error 
#define  unsupportedAuxiliaryImportData -2057
#define  auxiliaryExportDataUnavailable -2058
#define  samplesAlreadyInMediaErr	-2059
#define  movieTextNotFoundErr		-2062
//};

//enum {
#define  digiUnimpErr			-2201	//  feature unimplemented 
#define  qtParamErr				-2202	//  bad input parameter (out of range, etc) 
#define  matrixErr				-2203	//  bad matrix, digitizer did nothing 
#define  notExactMatrixErr			-2204	//  warning of bad matrix, digitizer did its best 
#define  noMoreKeyColorsErr		-2205	//  all key indexes in use 
#define  notExactSizeErr			-2206	//  Cant do exact size requested 
#define  badDepthErr				-2207	//  Cant digitize into this depth 
#define  noDMAErr				-2208	//  Cant do DMA digitizing (i.e. can't go to requested dest 
#define  badCallOrderErr			-2209	//  Usually due to a status call being called prior to being setup first 
//};

/* NameRegistry error codes */
//enum {
#define  nrLockedErr				-2536
#define  nrNotEnoughMemoryErr		-2537
#define  nrInvalidNodeErr			-2538
#define  nrNotFoundErr			-2539
#define  nrNotCreatedErr			-2540
#define  nrNameErr				-2541
#define  nrNotSlotDeviceErr		-2542
#define  nrDataTruncatedErr		-2543
#define  nrPowerErr				-2544
#define  nrPowerSwitchAbortErr		-2545
#define  nrTypeMismatchErr		-2546
#define  nrNotModifiedErr			-2547
#define  nrOverrunErr			-2548
#define  nrResultCodeBase			-2549
#define  nrPathNotFound			-2550	//  a path component lookup failed 
#define  nrPathBufferTooSmall		-2551	//  buffer for path is too small 
//};

/**************************************************************************
#define  Script Error Codes
*************************************************************************/
/* Runtime errors: */
//enum {
#define  errASCantConsiderAndIgnore		-2720
#define  errASCantCompareMoreThan32k	-2721	//  Parser/Compiler errors: 
#define  errASTerminologyNestingTooDeep 	-2760
#define  errASIllegalFormalParameter		-2761
#define  errASParameterNotForEvent		-2762
#define  errASNoResultReturned			-2763	//  	Dialect specific script errors:
 /*	The range-2780 thru-2799 is reserved for dialect specific error codes.*/
/* 	(Error codes from different dialects may overlap.)*/

/*#define  English errors:*/

#define  errASInconsistentNames		-2780
//};

/*Component Manager & component errors*/
//enum {
#define  invalidComponentID		-3000
#define  validInstancesExist			-3001
#define  componentNotCaptured		-3002
#define  componentDontRegister		-3003
//};

/* Color Picker errors*/
//enum {
#define  firstPickerError			-4000
#define  invalidPickerType			firstPickerError
#define  requiredFlagsDontMatch		-4001
#define  pickerResourceError		-4002
#define  cantLoadPicker			-4003
#define  cantCreatePickerWindow		-4004
#define  cantLoadPackage			-4005
#define  pickerCantLive			-4006
#define  colorSyncNotInstalled		-4007
#define  badProfileError			-4008
#define  noHelpForItem			-4009
//};

//enum {
#define  codecErr				-8960
#define  noCodecErr				-8961
#define  codecUnimpErr			-8962
#define  codecSizeErr				-8963
#define  codecScreenBufErr			-8964
#define  codecImageBufErr			-8965
#define  codecSpoolErr			-8966
#define  codecAbortErr			-8967
#define  codecWouldOffscreenErr		-8968
#define  codecBadDataErr			-8969
#define  codecDataVersErr			-8970
#define  codecExtensionNotFoundErr	-8971
#define  scTypeNotFoundErr			codecExtensionNotFoundErr
#define  codecConditionErr			-8972
#define  codecOpenErr				-8973
#define  codecCantWhenErr			-8974
#define  codecCantQueueErr			-8975
#define  codecNothingToBlitErr		-8976
#define  noDeviceForChannel		-9400
#define  grabTimeComplete			-9401
#define  cantDoThatInCurrentMode	-9402
#define  notEnoughMemoryToGrab		-9403
#define  notEnoughDiskSpaceToGrab	-9404
#define  couldntGetRequiredComponent	-9405
#define  badSGChannel				-9406
#define  seqGrabInfoNotAvailable		-9407
#define  deviceCantMeetRequest		-9408
#define  badControllerHeight		-9994
#define  editingNotAllowed			-9995
#define  controllerBoundsNotExact	-9996
#define  cannotSetWidthOfAttachedController -9997
#define  controllerHasFixedHeight	-9998
#define  cannotMoveAttachedController -9999
//};

/* AERegistry Errors */
//enum {
#define  errAEBadKeyForm			-10002
#define  errAECantHandleClass		-10010
#define  errAECantSupplyType		-10009
#define  errAECantUndo			-10015
#define  errAEEventFailed			-10000
#define  errAEIndexTooLarge		-10007
#define  errAEInTransaction		-10011
#define  errAELocalOnly			-10016
#define  errAENoSuchTransaction		-10012
#define  errAENotAnElement		-10008
#define  errAENotASingleObject		-10014
#define  errAENotModifiable		-10003
#define  errAENoUserSelection		-10013
#define  errAEPrivilegeError		-10004
#define  errAEReadDenied			-10005
#define  errAETypeError			-10001
#define  errAEWriteDenied			-10006
//};

/* TELErr */
//enum {
#define  telGenericError			-1
#define  telNoErr				0
#define  telNoTools				8	//  no telephone tools found in extension folder 
#define  telBadTermErr			-10001	//  invalid TELHandle or handle not found
#define  telBadDNErr				-10002	//  TELDNHandle not found or invalid 
#define  telBadCAErr				-10003	//  TELCAHandle not found or invalid 
#define  telBadHandErr			-10004	//  bad handle specified 
#define  telBadProcErr			-10005	//  bad msgProc specified 
#define  telCAUnavail				-10006	//  a CA is not available 
#define  telNoMemErr				-10007	//  no memory to allocate handle 
#define  telNoOpenErr				-10008	//  unable to open terminal 
#define  telBadHTypeErr			-10010	//  bad hook type specified 
#define  telHTypeNotSupp			-10011	//  hook type not supported by this tool 
#define  telBadLevelErr			-10012	//  bad volume level setting 
#define  telBadVTypeErr			-10013	//  bad volume type error 
#define  telVTypeNotSupp			-10014	//  volume type not supported by this tool
#define  telBadAPattErr			-10015	//  bad alerting pattern specified 
#define  telAPattNotSupp			-10016	//  alerting pattern not supported by tool
#define  telBadIndex				-10017	//  bad index specified 
#define  telIndexNotSupp			-10018	//  index not supported by this tool 
#define  telBadStateErr			-10019	//  bad device state specified 
#define  telStateNotSupp			-10020	//  device state not supported by tool 
#define  telBadIntExt				-10021	//  bad internal external error 
#define  telIntExtNotSupp			-10022	//  internal external type not supported by this tool 
#define  telBadDNDType			-10023	//  bad DND type specified 
#define  telDNDTypeNotSupp		-10024	//  DND type is not supported by this tool 
#define  telFeatNotSub				-10030	//  feature not subscribed 
#define  telFeatNotAvail			-10031	//  feature subscribed but not available 
#define  telFeatActive				-10032	//  feature already active 
#define  telFeatNotSupp			-10033	//  feature program call not supported by this tool 
#define  telConfLimitErr			-10040	//  limit specified is too high for this configuration 
#define  telConfNoLimit			-10041	//  no limit was specified but required
#define  telConfErr				-10042	//  conference was not prepared 
#define  telConfRej				-10043	//  conference request was rejected 
#define  telTransferErr			-10044	//  transfer not prepared 
#define  telTransferRej			-10045	//  transfer request rejected 
#define  telCBErr				-10046	//  call back feature not set previously 
#define  telConfLimitExceeded		-10047	//  attempt to exceed switch conference limits 
#define  telBadDNType				-10050	//  DN type invalid 
#define  telBadPageID				-10051	//  bad page ID specified
#define  telBadIntercomID			-10052	//  bad intercom ID specified 
#define  telBadFeatureID			-10053	//  bad feature ID specified 
#define  telBadFwdType			-10054	//  bad fwdType specified 
#define  telBadPickupGroupID		-10055	//  bad pickup group ID specified 
#define  telBadParkID				-10056	//  bad park id specified 
#define  telBadSelect				-10057	//  unable to select or deselect DN 
#define  telBadBearerType			-10058	//  bad bearerType specified 
#define  telBadRate				-10059	//  bad rate specified 
#define  telDNTypeNotSupp			-10060	//  DN type not supported by tool 
#define  telFwdTypeNotSupp			-10061	//  forward type not supported by tool 
#define  telBadDisplayMode			-10062	//  bad display mode specified 
#define  telDisplayModeNotSupp		-10063	//  display mode not supported by tool 
#define  telNoCallbackRef			-10064	//  no call back reference was specified, but is required 
#define  telAlreadyOpen			-10070	//  terminal already open 
#define  telStillNeeded				-10071	//  terminal driver still needed by someone else 
#define  telTermNotOpen			-10072	//  terminal not opened via TELOpenTerm 
#define  telCANotAcceptable			-10080	//  CA not "acceptable" 
#define  telCANotRejectable			-10081	//  CA not "rejectable" 
#define  telCANotDeflectable			-10082	//  CA not "deflectable" 
#define  telPBErr				-10090	//  parameter block error, bad format 
#define  telBadFunction			-10091	//  bad msgCode specified 
#define  telNoTools				-10101	//  unable to find any telephone tools 
#define  telNoSuchTool			-10102	//  unable to find tool with name specified 
#define  telUnknownErr			-10103	//  unable to set config 
#define  telNoCommFolder			-10106	//  Communications/Extensions  not found 
#define  telInitFailed				-10107	//  initialization failed 
#define  telBadCodeResource			-10108	//  code resource not found 
#define  telDeviceNotFound			-10109	//  device not found 
#define  telBadProcID				-10110	//  invalid procID 
#define  telValidateFailed			-10111	//  telValidate failed 
#define  telAutoAnsNotOn			-10112	//  autoAnswer in not turned on 
#define  telDetAlreadyOn			-10113	//  detection is already turned on 
#define  telBadSWErr				-10114	//  Software not installed properly 
#define  telBadSampleRate			-10115	//  incompatible sample rate 
#define  telNotEnoughdspBW		-10116	//  not enough real-time for allocation 
//};

//enum {
//#define  badComponentInstance		= 0x80008001L
//#define  badComponentSelector		= 0x80008002L
//};

/*Translation manager & Translation components*/
//enum {
#define  invalidTranslationPathErr	-3025	// Source type to destination type not a valid path
#define  couldNotParseSourceFileErr	-3026	// Source document does not contain source type
#define  noTranslationPathErr		-3030
#define  badTranslationSpecErr		-3031
#define  noPrefAppErr			-3032
//};

//enum {
#define  buf2SmallErr			-3101
#define  noMPPErr				-3102
#define  ckSumErr				-3103
#define  extractErr				-3104
#define  readQErr				-3105
#define  atpLenErr				-3106
#define  atpBadRsp				-3107
#define  recNotFnd				-3108
#define  sktClosedErr				-3109
#define  afpAccessDenied			-5000
#define  afpAuthContinue			-5001
#define  afpBadUAM				-5002
#define  afpBadVersNum			-5003
#define  afpBitmapErr			-5004
#define  afpCantMove				-5005
#define  afpDenyConflict			-5006
#define  afpDirNotEmpty			-5007
#define  afpDiskFull				-5008
#define  afpEofError				-5009
#define  afpFileBusy				-5010
#define  afpFlatVol				-5011
#define  afpItemNotFound			-5012
#define  afpLockErr				-5013
#define  afpMiscErr				-5014
#define  afpNoMoreLocks			-5015
//};

//enum {
#define  afpNoServer				-5016
#define  afpObjectExists			-5017
#define  afpObjectNotFound			-5018
#define  afpParmErr				-5019
#define  afpRangeNotLocked			-5020
#define  afpRangeOverlap			-5021
#define  afpSessClosed				-5022
#define  afpUserNotAuth			-5023
#define  afpCallNotSupported		-5024
#define  afpObjectTypeErr			-5025
#define  afpTooManyFilesOpen		-5026
#define  afpServerGoingDown		-5027
#define  afpCantRename			-5028
#define  afpDirNotFound			-5029
#define  afpIconTypeError			-5030
#define  afpVolLocked				-5031	// Volume is Read-Only
#define  afpObjectLocked			-5032	// Object is M/R/D/W inhibited
#define  afpContainsSharedErr		-5033	// the folder being shared contains a shared folder
#define  afpIDNotFound			-5034
#define  afpIDExists				-5035
//};

//enum {
#define  afpDiffVolErr				-5036
#define  afpCatalogChanged			-5037
#define  afpSameObjectErr			-5038
#define  afpBadIDErr				-5039
#define  afpPwdSameErr			-5040	// someone tried to change their password to the same password on a mantadory password change
#define  afpPwdTooShortErr		-5041	// the password being set is too short: there is a minimum length that must be met or exceeded
#define  afpPwdExpiredErr			-5042	// the password being used is too old: this requires the user to change the password before log-in can continue
#define  afpInsideSharedErr			-5043	// the folder being shared is inside a shared folder OR the folder contains a shared folder and is being moved into a shared folder OR the folder contains a shared folder and is being moved into the descendent of a shared folder.
#define  afpInsideTrashErr			-5044	// the folder being shared is inside the trash folder OR the shared folder is being moved into the trash folder OR the folder is being moved to the trash and it contains a shared folder
#define  afpBadDirIDType			-5060
#define  afpCantMountMoreSrvre		-5061
#define  afpAlreadyMounted			-5062
#define  afpSameNodeErr			-5063	// Display Manager error codes (-6220...-6269)
#define  kDMGenErr				-6220	// Unexpected Error
/* Mirroring-Specific Errors */
#define  kDMMirroringOnAlready		-6221	// Returned by all calls that need mirroring to be off to do their thing.
#define  kDMWrongNumberOfDisplays	-6222	// Can only handle 2 displays for now.
#define  kDMMirroringBlocked		-6223	// DMBlockMirroring() has been called.
#define  kDMCantBlock			-6224	// Mirroring is already on, cant Block now (call DMUnMirror() first).
#define  kDMMirroringNotOn		-6225	// Returned by all calls that need mirroring to be on to do their thing.
/* Other Display Manager Errors */
#define  kSysSWTooOld			-6226	// Missing critical pieces of System Software.
#define  kDMSWNotInitializedErr		-6227	// Required software not initialized (eg windowmanager or display mgr).
#define  kDMDriverNotDisplayMgrAwareErr -6228	// Video Driver does not support display manager.
#define  kDMDisplayNotFoundErr		-6229	// Could not find item (will someday remove).
#define  kDMNotFoundErr			-6229	// Could not find item.
#define  kDMDisplayAlreadyInstalledErr -6230	// Attempt to add an already installed display.
#define  kDMMainDisplayCannotMoveErr	-6231	// Trying to move main display (or a display mirrored to it) 
#define  kDMNoDeviceTableclothErr	-6231	// obsolete
/*Gestalt error codes*/
#define  gestaltUnknownErr			-5550	// value returned if Gestalt doesn't know the answer
#define  gestaltUndefSelectorErr		-5551	// undefined selector was passed to Gestalt
#define  gestaltDupSelectorErr		-5552	// tried to add an entry that already existed
#define  gestaltLocationErr			-5553	// gestalt function ptr wasn't in sysheap
/*PPC errors*/
#define  notInitErr				-900	// PPCToolBox not initialized
#define  nameTypeErr				-902	// Invalid or inappropriate locationKindSelector in locationName
#define  noPortErr				-903	// Unable to open port or bad portRefNum
#define  noGlobalsErr				-904	// The system is hosed, better re-boot
#define  localOnlyErr				-905	// Network activity is currently disabled
#define  destPortErr				-906	// Port does not exist at destination
#define  sessTableErr				-907	// Out of session tables, try again later
#define  noSessionErr				-908	// Invalid session reference number
#define  badReqErr				-909	// bad parameter or invalid state for operation
#define  portNameExistsErr			-910	// port is already open (perhaps in another app)
#define  noUserNameErr			-911	// user name unknown on destination machine
//};

//enum {
#define  userRejectErr			-912	// Destination rejected the session request
#define  noMachineNameErr			-913	// user hasn't named his Macintosh in the Network Setup Control Panel
#define  noToolboxNameErr			-914	// A system resource is missing, not too likely
#define  noResponseErr			-915	// unable to contact destination
#define  portClosedErr			-916	// port was closed
#define  sessClosedErr			-917	// session was closed
#define  badPortNameErr			-919	// PPCPortRec malformed
#define  noDefaultUserErr			-922	// user hasn't typed in owners name in Network Setup Control Pannel
#define  notLoggedInErr			-923	// The default userRefNum does not yet exist
#define  noUserRefErr			-924	// unable to create a new userRefNum
#define  networkErr				-925	// An error has occured in the network, not too likely
#define  noInformErr				-926	// PPCStart failed because destination did not have inform pending
#define  authFailErr				-927	// unable to authenticate user at destination
#define  noUserRecErr			-928	// Invalid user reference number
#define  badServiceMethodErr		-930	// illegal service type, or not supported
#define  badLocNameErr			-931	// location name malformed
#define  guestNotAllowedErr		-932	// destination port requires authentication
#define  noMaskFoundErr			-1000	// Icon Utilties Error
//};

//enum {
#define  dsBusError				1	// bus error
#define  dsAddressErr				2	// address error
#define  dsIllInstErr				3	// illegal instruction error
#define  dsZeroDivErr				4	// zero divide error
#define  dsChkErr				5	// check trap error
#define  dsOvflowErr				6	// overflow trap error
#define  dsPrivErr				7	// privilege violation error
#define  dsTraceErr				8	// trace mode error
#define  dsLineAErr				9	// line 1010 trap error
#define  dsLineFErr				10	// line 1111 trap error
#define  dsMiscErr				11	// miscellaneous hardware exception error
#define  dsCoreErr				12	// unimplemented core routine error
#define  dsIrqErr				13	// uninstalled interrupt error
#define  dsIOCoreErr				14	// IO Core Error
#define  dsLoadErr				15	// Segment Loader Error
#define  dsFPErr				16	// Floating point error
#define  dsNoPackErr				17	// package 0 not present
#define  dsNoPk1				18	// package 1 not present
#define  dsNoPk2				19	// package 2 not present
//};

//enum {
#define  dsNoPk3				20	// package 3 not present
#define  dsNoPk4				21	// package 4 not present
#define  dsNoPk5				22	// package 5 not present
#define  dsNoPk6				23	// package 6 not present
#define  dsNoPk7				24	// package 7 not present
#define  dsMemFullErr			25	// out of memory!
#define  dsBadLaunch				26	// can't launch file
#define  dsFSErr				27	// file system map has been trashed
#define  dsStknHeap				28	// stack has moved into application heap
#define  negZcbFreeErr			33	// ZcbFree has gone negative
#define  dsFinderErr				41	// can't load the Finder error
#define  dsBadSlotInt				51	// unserviceable slot interrupt
#define  dsBadSANEOpcode			81	// bad opcode given to SANE Pack4
#define  dsBadPatchHeader			83	// SetTrapAddress saw the come-from header
#define  menuPrgErr				84	// happens when a menu is purged
#define  dsMBarNFnd				85	// Menu Manager Errors
#define  dsHMenuFindErr			86	// Menu Manager Errors
#define  dsWDEFNotFound			87	// could not load WDEF
#define  dsCDEFNotFound			88	// could not load CDEF
#define  dsMDEFNotFound			89	// could not load MDEF
//};

//enum {
#define  dsNoFPU				90	// an FPU instruction was executed and the machine doesnt have one
#define  dsNoPatch				98	// Can't patch for particular Model Mac
#define  dsBadPatch				99	// Can't load patch resource
#define  dsParityErr				101	// memory parity error
#define  dsOldSystem				102	// System is too old for this ROM
#define  ds32BitMode				103	// booting in 32-bit on a 24-bit sys
#define  dsNeedToWriteBootBlocks	104	// need to write new boot blocks
#define  dsNotEnoughRAMToBoot		105	// must have at least 1.5MB of RAM to boot 7.0
#define  dsBufPtrTooLow			106	// bufPtr moved too far during boot
#define  dsReinsert				30	// request user to reinsert off-line volume
#define  shutDownAlert			42	// handled like a shutdown error
#define  dsShutDownOrRestart		20000	// user choice between ShutDown and Restart
#define  dsSwitchOffOrRestart		20001	// user choice between switching off and Restart
#define  dsForcedQuit				20002	// allow the user to ExitToShell, return if Cancel
#define  dsRemoveDisk			20003	// request user to remove disk from manual eject drive
#define  dsDirtyDisk				20004	// request user to return a manually-ejected dirty disk
#define  dsShutDownOrResume		20109	// allow user to return to Finder or ShutDown
#define  dsSCSIWarn				20010	// Portable SCSI adapter warning.
/*System Errors that are used after MacsBug is loaded to put up dialogs
since these should not cause MacsBug to stop, 
they must be in the range (30, 42, 16384-32767) negative numbers add to an existing dialog 
without putting up a whole new dialog*/
#define  dsMacsBugInstalled			-10	// say MacsBug Installed
#define  dsDisassemblerInstalled		-11	// say Disassembler Installed
#define  dsExtensionsDisabled		-13	// say Extensions Disabled
#define  dsGreeting				40	// welcome to Macintosh greeting
#define  dsSysErr				32767	// general system error
/*old names here for compatibilitys sake*/
#define  WDEFNFnd				dsWDEFNotFound
//};

//enum {
#define  CDEFNFnd	 			dsCDEFNotFound
#define  dsNotThe1				31	// not the disk I wanted
#define  dsBadStartupDisk			42	// unable to mount boot volume (sad Mac only)
#define  dsSystemFileErr 			43	// cant find System file to open (sad Mac only)
#define  dsHD20Installed			-12	// say HD20 Startup
#define  mBarNFnd				-126	// system error code for MBDF not found
#define  hMenuFindErr			-127	// could not find HMenu's parent in MenuKey
#define  userBreak				-490	// user debugger break
#define  strUserBreak				-491	// user debugger break; display string on stack
#define  exUserBreak				-492	//user debugger break; execute debugger commands on stack
//};

//enum {
#define  fragNoErr				0
#define  fragContextNotFound		-2800	//  contextID was not valid 
#define  fragConnectionIDNotFound	-2801	//  connecionID was not valid 
#define  fragSymbolNotFound		-2802	//  symbol was not found in connection 
#define  fragSectionNotFound		-2803	//  section was not found 
#define  fragLibNotFound			-2804	//  library name not found in Frag registry 
#define  fragDupRegLibName		-2805	//  registered name already in use 
#define  fragFormatUnknown		-2806	//  fragment container format unknown 
#define  fragHadUnresolveds		-2807	//  loaded fragment had "hard" unresolved imports 
#define  fragUnused1				-2808	//  unused 
#define  fragNoMem				-2809	//  out of memory for interal bookkeeping 
#define  fragNoAddrSpace			-2810	//  out of memory in user's address space for loadable section 
#define  fragNoContextIDs			-2811	//  no more context ids 
#define  fragObjectInitSeqErr		-2812	//  order error during user initialization function invocation 
#define  fragImportTooOld			-2813	//  import library was too old and therefore incompatible 
#define  fragImportTooNew			-2814	//  import library was too new and therefore incompatible 
#define  fragInitLoop				-2815	//   circularity detected in mandatory initialization order 
#define  fragInitRtnUsageErr		-2816	//  boot library has initialization routine 
#define  fragLibConnErr			-2817	//   error connecting to library (error occured in sub prepare) 
#define  fragMgrInitErr			-2818	//  error in initailization of this manager 
#define  fragConstErr				-2819	//  internal inconstistancy 
#define  fragCorruptErr			-2820	//  fragment container corrupted (known format) 
#define  fragUserInitProcErr		-2821	//  user intialization routine did not return noErr 
#define  fragAppNotFound			-2822	//  no application found in cfrg (for Process Manager) 
#define  fragArchError			-2823	//  fragment targeted for an unacceptable architecture 
#define  fragInvalidFragmentUsage	-2824	//  an application fragment or accellerated resource has no entry point or termination routine 
#define  fragLastErrCode			-2899	//  last reserved error code number 
//};

//enum {
/* Drag Manager error codes */
#define  badDragRefErr			-1850	//  unknown drag reference 
#define  badDragItemErr			-1851	//  unknown drag item reference 
#define  badDragFlavorErr			-1852	//  unknown flavor type 
#define  duplicateFlavorErr			-1853	//  flavor type already exists 
#define  cantGetFlavorErr			-1854	//  error while trying to get flavor data 
#define  duplicateHandlerErr		-1855	//  handler already exists 
#define  handlerNotFoundErr		-1856	//  handler not found 
#define  dragNotAcceptedErr		-1857	// drag was not accepted by receiver 
//};

//enum {
/* Mixed Mode error codes */
#define  mmInternalError			-2526
//};

//enum {
/* error codes */
#define  tsmComponentNoErr 		0	//  component result = no error 
#define  tsmUnsupScriptLanguageErr 	-2500
#define  tsmInputMethodNotFoundErr	-2501
#define  tsmNotAnAppErr 			-2502	//  not an application error 
#define  tsmAlreadyRegisteredErr 	-2503	//  want to register again error 
#define  tsmNeverRegisteredErr 		-2504	//  app never registered error (not TSM aware) 
#define  tsmInvalidDocIDErr 		-2505	//  invalid TSM documentation id 
#define  tsmTSMDocBusyErr 		-2506	//  document is still active 
#define  tsmDocNotActiveErr 		-2507	//  document is NOT active 
#define  tsmNoOpenTSErr 			-2508	//  no open text service 
#define  tsmCantOpenComponentErr 	-2509	//  cant open the component 
#define  tsmTextServiceNotFoundErr	-2510	//  no text service found 
#define  tsmDocumentOpenErr 		-2511	//  there are open documents 
#define  tsmUseInputWindowErr 		-2512	//  not TSM aware because we are using input window 
#define  tsmTSHasNoMenuErr 		-2513	//  the text service has no menu 
#define  tsmTSNotOpenErr 			-2514	//  text service is not open 
#define  tsmComponentAlreadyOpenErr	-2515	//  text service already opened for the document 
#define  tsmInputMethodIsOldErr 		-2516	//  returned by GetDefaultInputMethod 
#define  tsmScriptHasNoIMErr 		-2517	//  script has no imput method or is using old IM 
#define  tsmUnsupportedTypeErr 		-2518	//  unSupported interface type error 
#define  tsmUnknownErr 			-2519	//  any other errors 
//};

//enum {
#define  errOffsetInvalid			-1800
#define  errOffsetIsOutsideOfView		-1801
#define  errTopOfDocument			-1810
#define  errTopOfBody				-1811
#define  errEndOfDocument			-1812
#define  errEndOfBody				-1813
//};

//enum {
/* Database access error codes */
#define  rcDBNull				-800
#define  rcDBValue				-801
#define  rcDBError				-802
#define  rcDBBadType				-803
#define  rcDBBreak				-804
#define  rcDBExec				-805
#define  rcDBBadSessID			-806
#define  rcDBBadSessNum			-807	//  bad session number for DBGetConnInfo 
#define  rcDBBadDDEV			-808	//  bad ddev specified on DBInit 
#define  rcDBAsyncNotSupp			-809	//  ddev does not support async calls 
#define  rcDBBadAsyncPB			-810	//  tried to kill a bad pb 
#define  rcDBNoHandler			-811	//  no app handler for specified data type 
#define  rcDBWrongVersion			-812	//  incompatible versions 
#define  rcDBPackNotInited			-813	//  attempt to call other routine before InitDBPack 
//};

//enum {
/* ENET error codes */
#define  eLenErr				-92	// Length error ddpLenErr
#define  eMultiErr				-91	//Multicast address error ddpSktErr
//};

//enum {
/* DS Errors which are specific to the new runtime model introduced with PowerPC */
#define  dsBadLibrary 			1010	//  Bad shared library 
#define  dsMixedModeFailure		1011	//  Internal Mixed Mode Failure 
//};
