// ==================================================
//	UFileInfo.h
//	Copyright (C) 1994-96 Mizutori Tetsuya, March 9 1994, July 4 1996.
// ==================================================
//	All documents are pretty-printed in Geneva 10-point font.

#pragma once

#include <Files.h>

typedef enum {
	fileType_Volume	= 1,
	fileType_Folder,
	fileType_File,
	fileType_END
} EFileSpecType;



class	UFileInfo {

public:

	static OSErr		GetFSSpecDateTime( FSSpec & inFSSpec, 
						unsigned long & outCreationDate, unsigned long & outModificationDate );

	static OSErr		SetFSSpecDateTime( FSSpec & inFSSpec, 
						unsigned long inCreationDate, unsigned long inModificationDate );

private:

	static EFileSpecType	GetSpecType( FSSpec & inFSSpec );

	static OSErr		TouchDir( const short vRefNum, const long dirID );


	static OSErr		GetFileDateTime( FSSpec & inFSSpec, 
						unsigned long & outCreationDate, unsigned long & outModificationDate );

	static OSErr		SetFileDateTime( FSSpec & inFSSpec, 
						unsigned long inCreationDate, unsigned long inModificationDate );

	static OSErr		GetFolderDateTime( FSSpec & inFSSpec, 
						unsigned long & outCreationDate, unsigned long & outModificationDate );

	static OSErr		SetFolderDateTime( FSSpec & inFSSpec, 
						unsigned long inCreationDate, unsigned long inModificationDate );

};

// end of definitions
